Subject: bug#19200: Point adjustemnt moves *into* invisible text

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Mar 2016 22:13:04 -0400

>> - point adjustment doesn't bring us to position 3 after C-n
> Why is that a problem?  Position 3 is invisible, so we shouldn't
> expect to end up with point there.

No, you have it backwards: position 5 is invisible and position 3 is not.
The "evidence" for that is that if you go to position 3 and insert a char,
that char will be visible, whereas if you go to position 5 and insert
a char, that char will be invisible.

>> - M-: (point) has the side-effect of bringing us to position 3
>> My guess here is that after the M-: command, at the end of
>> command_loop_1, last_point_position refers to a position in another
>> buffer (i.e. in the minibuffer), so it thinks there was a movement and
>> hence re-runs adjust_point_for_property, which this time gets it right.
> Maybe.  If this is the bug to solve, I could look into it.

No, this bug is secondary.  The main bug is that we end up at position
5 after C-n.

        Stefan